XnEventInterface Class Referenceabstract

`#include <XnEvent.h>`

Inheritance diagram for XnEventInterface:
[legend]

## Public Types

typedef XnStatus(* | HandlerPtr) (void *pCookie)

## Public Member Functions

| XnEventInterface ()
virtual | ~XnEventInterface ()
virtual XnStatus | Register (HandlerPtr pFunc, void *pCookie, XnCallbackHandle *pHandle=NULL)=0
virtual XnStatus | Unregister (XnCallbackHandle handle)=0

## Member Typedef Documentation

## HandlerPtr

typedef XnStatus(* XnEventInterface::HandlerPtr) (void *pCookie)

## Constructor & Destructor Documentation

## XnEventInterface()

XnEventInterface::XnEventInterface | ( |  | ) |

inline

## ~XnEventInterface()

virtual XnEventInterface::~XnEventInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## Register()

virtual XnStatus XnEventInterface::Register | ( | HandlerPtr | pFunc,
|  | void * | pCookie,
|  | XnCallbackHandle * | pHandle = NULL )

pure virtual

Implemented in XnEvent.

## Unregister()

virtual XnStatus XnEventInterface::Unregister | ( | XnCallbackHandle | handle | ) |

pure virtual

Implemented in XnEvent.

The documentation for this class was generated from the following file:

- XnEvent.h